Skip to content

Change a user

PATCH
/users/{userId}
curl --request PATCH \
--url https://example.com/api/v1/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--cookie __Host-shardkeep_session=<__Host-shardkeep_session> \
--data '{ "displayName": "example", "email": "example", "globalAdmin": true, "disabled": true }'

Disabling a user ends their sessions and revokes their API tokens. The last enabled global administrator cannot be disabled or demoted (last_global_admin).

userId
required
string format: uuid
Media typeapplication/json
object
>= 1 properties
displayName
string
<= 100 characters
email
string
>= 3 characters <= 254 characters /^[^@\s]+@[^@\s]+$/
globalAdmin
boolean
disabled
boolean
Examplegenerated
{
"displayName": "example",
"email": "example",
"globalAdmin": true,
"disabled": true
}

The updated user.

Media typeapplication/json
object
id
required
string format: uuid
username
required
string
email
required
string
displayName
required
string
globalAdmin
required
boolean
disabled
required
boolean
disabledAt
string format: date-time
passwordChangeRequired
required
boolean
createdAt
required
string format: date-time
Examplegenerated
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"username": "example",
"email": "example",
"displayName": "example",
"globalAdmin": true,
"disabled": true,
"disabledAt": "2026-04-15T12:00:00Z",
"passwordChangeRequired": true,
"createdAt": "2026-04-15T12:00:00Z"
}

The request is invalid.

Media typeapplication/problem+json

An RFC 9457 problem with a machine-readable code.

object
type
required
string
title
required
string
status
required
integer
detail
string
code
required

Stable machine-readable error code.

string
Example
{
"type": "about:blank",
"title": "Conflict",
"status": 409,
"code": "conflict"
}

Not signed in, or the credentials are invalid.

Media typeapplication/problem+json

An RFC 9457 problem with a machine-readable code.

object
type
required
string
title
required
string
status
required
integer
detail
string
code
required

Stable machine-readable error code.

string
Example
{
"type": "about:blank",
"title": "Conflict",
"status": 409,
"code": "conflict"
}

Signed in, but not allowed.

Media typeapplication/problem+json

An RFC 9457 problem with a machine-readable code.

object
type
required
string
title
required
string
status
required
integer
detail
string
code
required

Stable machine-readable error code.

string
Example
{
"type": "about:blank",
"title": "Conflict",
"status": 409,
"code": "conflict"
}

Not found, or not visible to you.

Media typeapplication/problem+json

An RFC 9457 problem with a machine-readable code.

object
type
required
string
title
required
string
status
required
integer
detail
string
code
required

Stable machine-readable error code.

string
Example
{
"type": "about:blank",
"title": "Conflict",
"status": 409,
"code": "conflict"
}

Clashes with existing data or state.

Media typeapplication/problem+json

An RFC 9457 problem with a machine-readable code.

object
type
required
string
title
required
string
status
required
integer
detail
string
code
required

Stable machine-readable error code.

string
Example
{
"type": "about:blank",
"title": "Conflict",
"status": 409,
"code": "conflict"
}